Bug 209235 - RMAN backups cause out of memory errors
RMAN backups cause out of memory errors
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Larry Woodman
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-03 19:41 EDT by Stephen Carville
Modified: 2012-06-20 09:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 09:29:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logfile extract, processor, and memory information (21.77 KB, text/plain)
2006-10-03 19:41 EDT, Stephen Carville
no flags Details

  None (edit)
Description Stephen Carville 2006-10-03 19:41:59 EDT
Description of problem: When running RMAN backups for Oracle 10g the kernel
reports out of memory errors and starts killng processes.  I usually lose 4 or 5
of my backup channels.


Version-Release number of selected component (if applicable): Oracle 10.2.0.2.0


How reproducible:  Every time

Steps to Reproduce:
Run a backup using the following script:

run {
allocate channel d1 type disk;
set limit channel d1 kbytes 2000000;
allocate channel d2 type disk;
set limit channel d2 kbytes 2000000;
allocate channel d3 type disk;
set limit channel d3 kbytes 2000000;
allocate channel d4 type disk;
set limit channel d4 kbytes 2000000;
allocate channel d5 type disk;
set limit channel d5 kbytes 2000000;
allocate channel d6 type disk;
set limit channel d6 kbytes 2000000;
sql 'alter system archive log current';
backup full
tag <backup tag>
format 'filename format string'
database;
sql 'alter system archive log current';
release channel d1;
release channel d2;
release channel d3;
release channel d4;
release channel d5;
release channel d6;
}

  
Actual results:


Expected results:


Additional info:  Running 32 bit Linux on EMT64
Comment 1 Stephen Carville 2006-10-03 19:41:59 EDT
Created attachment 137711 [details]
logfile extract, processor, and memory information
Comment 2 Stephen Carville 2006-10-06 21:51:26 EDT
This may be an NFS problem.  I'll post more as I find it.
Comment 3 Stephen Carville 2006-10-18 22:08:52 EDT
Switching NFS mounts from UDP to TCP seem to have cured it.
Comment 4 Larry Woodman 2006-11-30 16:13:03 EST
Stephen, can you also try increasing /proc/sys/vm/min_free_kbytes by 4 times its
default and see if that fixes the problem when NFS is using UDP ?

Thanks, Larry Woodman

Comment 5 Stephen Carville 2006-11-30 18:22:28 EST
Doned (2003 -> 8012) but I cannot test until this weekend.  I'll let you know
what happens
Comment 6 Larry Woodman 2006-12-08 08:39:53 EST
Stephen, did you get a chance to test that tuning suggestion in comment #4 yet?

Larry Woodman
Comment 7 Stephen Carville 2006-12-08 13:44:55 EST
Sorry to have taken so long.  I made the suggested change and got the out of
memory errors during that evening's backup which was still using TCP.  I didn't
try it with UDP then but rather just set the free_kbytes back to 2003. In the
next week or so I shuold be able to bukd a replacetn Oracle server I'll have mor
opportunit to experiment with. 
Comment 8 Larry Woodman 2007-03-01 09:47:09 EST
Stephen, what is the state of this bug? There has been no update since 12/8/06.

Larry Woodman
Comment 9 Jiri Pallich 2012-06-20 09:29:15 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.